{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
{# LG 20200824 old    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidGroupe }}</div>#}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ (poEntité.iidGroupe is defined) ? poEntité.iidGroupe : "" }}</div>
{% endblock %}

{% block formulaire %}
<div class="LesChamps card">    
    
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.cnom is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {% if poForm.cnomcourt is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cnomcourt, "Nom court ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.cnomcourt, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
</div>
<div class="LesChamps card">        
    <div class="d-flex justify-content-around flex-wrap">
        
        {% if poForm.ietablissement is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.ietablissement, "Etablissement ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

            <div class="col-sm-8 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.ietablissement, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
            </div>
        </div>
        {% endif %}
        
        {% if poForm.iservice is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.iservice, "Service ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

            <div class="col-sm-8 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.iservice, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
            </div>
        </div>
         {% endif %}
         
    </div>
        
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.ieffectif is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ieffectif, "Effectif ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                    {{ form_widget(poForm.ieffectif, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        
        {#{% if poForm.idebutrythme is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. 
            {{ form_label(poForm.idebutrythme, "vide", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

            <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.idebutrythme, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
        {% endif %}#}
        
    

        {% if poForm.lpresconf is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                <label class="control-label m-0 mr-3">
                        Présence confirmée
                    </label>
               
                <div class="col-sm-8 d-flex align-items-center">
                    
                    
                        {{ form_widget(poForm.lpresconf, {'attr': {'class': 'shadow-form-control border-0'}}) }}
                        
                    
                </div>
            </div>
        {% endif %}
        
    </div>
        
</div>

<div class="LesChamps">
        
        
<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
    {% if poForm.isallehabituelle is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.isallehabituelle, "Salle habituelle ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

            <div class="col-sm-8 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.isallehabituelle, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 no-bg form-control'}}) }}
            </div>
        </div>
    {% endif %}

    
</div>
    {% if poForm.icouleur is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.icouleur, "Couleur ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 m-0 col-lg-2 control-label d-flex align-items-center justify-content-center'}}) }}

            <div class="col-sm-8 col-md-9 col-lg-9 col-xs-12">
                {#{{ form_widget(poForm.icouleur, {'attr': {'class': 'form-control'}}) }}#}
                <input type='text' id="icouleur_spectrum"/>
                <input type='hidden' class="form-control" name="fEntityForm_groupes[icouleur]" id="fEntityForm_groupes_icouleur" 
{# LG 20200824 old                               value="{{ poForm.vars.value.icouleur }}"/> #}
                    value="{{ (poForm.vars.value.icouleur is defined) ? poForm.vars.value.icouleur : "" }}"/>
                {% do poForm.icouleur.setRendered %}
                <script>
                    LGSpectrum("#icouleur_spectrum", "#fEntityForm_groupes_icouleur", onChangeCouleur);
                    function onChangeCouleur(color) {
                        var colorRGB = color.toRgb();
                        var colorI = RGB(colorRGB.r, colorRGB.g, colorRGB.b);
                        $("#fEntityForm_groupes_icouleur").val(colorI);
                    }
                </script>
            </div>
        </div>
    {% endif %}
</div>
{% endblock %}
